### Hierarchy

- ICounterUpdater

### Implemented by

- ByzCoinRPC

## Index

### Methods

- getNextCounter
- getSignerCounters
- updateCachedCounters

## Methods

### getNextCounter

- getNextCounter(signer: IIdentity): Long

- - Defined in src/byzcoin/client-transaction.ts:17

  #### Parameters

  - ##### signer: IIdentity

  #### Returns Long

### getSignerCounters

- getSignerCounters(signers: IIdentity[], increment: number): Promise<Long[]>

- - Defined in src/byzcoin/client-transaction.ts:13

  #### Parameters

  - ##### signers: IIdentity[]

  - ##### increment: number

  #### Returns Promise<Long[]>

### updateCachedCounters

- updateCachedCounters(signers: IIdentity[]): Promise<Long[]>

- - Defined in src/byzcoin/client-transaction.ts:15

  #### Parameters

  - ##### signers: IIdentity[]

  #### Returns Promise<Long[]>

Generated using TypeDoc